curl --request GET \
--url https://api.ctrl-hub.com/v3/vehicle-inventory-checks \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/vehicle-inventory-checks"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/vehicle-inventory-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "vehicle-inventory-checks",
"attributes": {
"inspected_at": "2023-11-07T05:31:56Z",
"items": [
{
"equipment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"present": true,
"working": true,
"certified": true
}
]
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"summary": {
"present": {
"total": 123,
"passed": 123,
"failed": 123,
"unknown": 123
},
"working": {
"total": 123,
"passed": 123,
"failed": 123,
"unknown": 123
},
"certified": {
"total": 123,
"passed": 123,
"failed": 123,
"unknown": 123
}
}
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"vehicle": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "vehicles"
}
},
"author": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
}
},
"equipment": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-items"
}
]
}
}
}
],
"meta": {
"pagination": {
"counts": {
"pages": 1,
"resources": 1
},
"current_page": 1,
"offsets": {
"next": null,
"previous": null
},
"requested": {
"limit": 10,
"offset": 0
}
},
"features": {
"include": {
"options": [
"related.resource"
]
}
}
},
"jsonapi": {
"version": "1.0"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-items",
"attributes": {
"reference": "REF-001",
"serial": "CH-001",
"asset_number": "A-12345",
"is_rented": true,
"purchased_at": "2024-01-15T00:00:00.000Z",
"vibration_source": true,
"vibration_magnitude": 2.7,
"description": "<string>",
"status": "<string>"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"manufacturer": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-manufacturers"
}
},
"model": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-models"
}
},
"business_area": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "business-areas"
}
},
"owner": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "owners"
}
},
"status": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-statuses"
}
},
"categories": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-categories"
}
]
},
"inherited_categories": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-categories"
}
]
},
"certifications": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-certifications"
}
]
},
"allocated_person": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
},
"meta": {
"starts_at": "2023-11-07T05:31:56Z"
}
},
"allocated_scheme": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "schemes"
},
"meta": {
"starts_at": "2023-11-07T05:31:56Z"
}
},
"allocated_work_order": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "work-orders"
},
"meta": {
"starts_at": "2023-11-07T05:31:56Z"
}
},
"allocated_location": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "locations"
},
"meta": {
"starts_at": "2023-11-07T05:31:56Z"
}
},
"allocated_vehicle": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "vehicles"
},
"meta": {
"starts_at": "2023-11-07T05:31:56Z"
}
},
"pre_allocations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-item-pre-allocations"
}
]
},
"folder": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "folders"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}List vehicle inventory checks
Retrieve a list of vehicle inventory checks. Filter by vehicle with ?filter=eq(vehicle,xxx).
Authorizations
Session token for authentication.
Query Parameters
Filters the response data based on the value provided.
Available filters:
eq(id,xxx): Filter vehicle inventory checks by ID.eq(organisation,xxx): Filter vehicle inventory checks by organisation ID.eq(vehicle,xxx): Filter vehicle inventory checks by vehicle ID.eq(author,xxx): Filter vehicle inventory checks by author user ID.
A comma separated list of related resources to include.
author, equipment, organisation, vehicle Limit the number of resources returned by the API
x >= 1Offset the resources returned by the API
x >= 0JSON:API pagination, as page[limit] and page[offset]. The same as the top-level limit and offset parameters; when both forms are sent, page[...] wins.
Show child attributes
Show child attributes
A comma separated list of fields to sort by.
created_at, -created_at, inspected_at, -inspected_at Response
Get a list of vehicle inventory checks.
JSON API response object
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources that can be included when a vehicle inventory check is returned.
An equipment item
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes